/*
 * UDS Example Program
 * Copyright (C) 2000, 2001, 2002, 2003  Julian v. Bock
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *	(See file COPYING for more information)
 */


// includes

#include <uds/action.hh>
#include <uds/init.hh>
#include <uds/stdexcpt.hh>
#include <uds/uds.hh>

using namespace std;


// configure UDS
uds::uds_flags_t uds::flags = uds::summon_zombies | uds::rename_cores;


class foo
{
public:
	virtual ~foo() {}
};

int
main()
{
	uds::Init uds_init;
	
	try
	{
		foo* f = new foo();
		delete f;
		delete f;
	}
	catch ( uds::Exception& e )
	{
		clog<<e.Message();
	}
	
	return 0;
}
