/*
 * The UDS collection
 * Copyright (C) 1999, 2000, 2001, 2002, 2003  Julian v. Bock
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *	(See file COPYING for more information)
 */


// includes

#include <uds/stdexcpt.hh>


namespace uds
{

// standard exception class implementations

internal_error::~internal_error() {}

zombie_object::~zombie_object() {}

system_error::~system_error() {}
file_error::~file_error() {}
pipe_error::~pipe_error() {}
fork_error::~fork_error() {}
exec_error::~exec_error() {}
child_error::~child_error() {}

logic_error::~logic_error() {}
bad_call::~bad_call() {}
invalid_arg::~invalid_arg() {}

runtime_error::~runtime_error() {}
bad_cmd_line_opt::~bad_cmd_line_opt() {}
error::~error() {}

}
